#
# spec file for package fbbsrv (Version 7.04b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         fbbsrv
Copyright:    GPL
Group:        Networking/Hamradio
Requires:     libax25
Autoreqprov:  on
Version:      7.04b
Release:      21
Summary:      F6FBB packet radio mailbox
Source:       xd704b-src.tgz
Patch:        fbbsrc.704b.diff
URL:   	      http://www.f6fbb.org
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
Server demon for F6FBB packet radio mailbox.

Authors:
--------
    Jean-Paul Roubelat, F6FBB <jpr@f6fbb.org>

SuSE series: ham

%prep
%setup -n fbbsrc.704b
%patch  -p0

%build
cd src
make

%install
yes | DESTDIR=$RPM_BUILD_ROOT ./install_sh
install -d examples/
install -m 644 conf/fbb.conf{,.min}.sample examples/
install -d $RPM_BUILD_ROOT/etc/init.d/
install -m 755 rc.fbb $RPM_BUILD_ROOT/etc/init.d/fbb
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
cat <<EOF >$RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.fbbsrv
#
# Start the fbb server ? (yes/no)
#
START_FBB=no
EOF

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
	bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.fbbsrv
else
	echo "ERROR: fillup not found. This should not happen. Please compare"
	echo "etc/rc.config and etc/rc.config.fbbsrv and update by hand."
fi
sbin/insserv etc/init.d/fbb

%postun
[ $1 = "0" ] && rm -rf var/ax25/fbb/
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %attr(644, root, root) FBBTREE CHANGES README README.SuSE examples/ 
%config /etc/ax25/*
/usr/sbin/*
/usr/lib/fbb/
/var/ax25/fbb/
%config /etc/init.d/fbb
/var/adm/fillup-templates/rc.config.fbbsrv

%changelog -n fbbsrv
* Mon Sep 03 2001 - jreuter@suse.de
- fixed rc file for LSB conformance (closes bugzilla entry #9033)
- updated to most recent version: implements a POP3 daemon
* Tue Aug 21 2001 - jreuter@suse.de
- updated to latest version
- started rc file cleanup for LSB conformance
* Fri Dec 01 2000 - ro@suse.de
- fixed startscript
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon Nov 06 2000 - bubnikv@suse.cz
- updated to 7.02g
* Mon Oct 16 2000 - bubnikv@suse.cz
- fixed makefile to link ncurses
- fbb server is not started by default now
* Mon Jun 19 2000 - bubnikv@suse.cz
- updated to 7.02
* Mon Jun 05 2000 - bubnikv@suse.cz
- updated to 7.01m
- added home page url
* Fri May 19 2000 - bubnikv@suse.cz
- update to version 7.01l
- added buildroot, URLs, spec file cleanup
- moved directory /home/fbbdos to /var/ax25/fbb/fbbdos
* Tue Nov 30 1999 - ka@suse.de
- update to version 7.01f
- repacked tar archive to strip off leading directory "usr1"
  (asked Jean-Paul for permission)
* Tue Nov 30 1999 - ka@suse.de
- fixed wrong config files
- added xfbb.sh to %%files list
- changes were made after suggestion from Jean-Paul, F6FBB
* Mon Nov 08 1999 - ka@suse.de
- added missing configuration and help files
* Thu Oct 28 1999 - ka@suse.de
- initial release
